{{- with .Studio}}

# Tizen Studio installation details
studio:
    # Tizen Studio path
    path: "{{to_slash .Path}}"

    # Tizen Studio data path
    data_path: "{{to_slash .DataPath}}"

    # JDK path for Tizen Studio
    jdk_path: "{{to_slash .JdkPath}}"

{{- end}}

{{- with .CertStore}}

# Certificate Store configuration
cert_store:
    # Certificate store root directory path relative to cli path
    path: "{{to_slash .Path}}"

    # Current active signing profile
    active_profile: {{.Active}}

    # List of signing profiles
    profiles:
        {{- range $name, $profile := .Profiles}}

        {{$name}}:
          name: {{$profile.Name}}
          author: {{$profile.Author}}
          distributor: {{$profile.Distributor}}
          distributor2: {{$profile.Distributor2}}
        {{- end}}

{{- end}}

{{- with .PassStore}}

# Password Store configuration
pass_store:
    # Password Store path relative to cli path
    path: "{{to_slash .Path}}"

    # MasterKey is label used to store master password
    # This same key can be used as key for env variable to provide master password
    master_key: {{.MasterKey}}

{{- end}}

{{- with .Workspace}}

# Default configuration for Tizen workspace
workspace:
    # Default device profile in <profile_id>-<tizen_version> format
    profile: {{.Profile}}

    # Default build type for app compilation
    build_type: {{.BuildType}}

    # Default compiler for native app compilation [llvm/ gcc]
    compiler: {{.Compiler}}

    # Default arch for Tizen app, [x86/ arm]
    arch: {{.Arch}}

    # Default rootstrap for compiling native app
    rootstrap: {{.Rootstrap}}

{{- end}}

build_cmd_timeout_in_minute: -1
